Bug 23291 - stubs / RedBoot build description
stubs / RedBoot build description
Status: CLOSED CURRENTRELEASE
Product: eCos
Classification: Retired
Component: Getting Started Guide (Show other bugs)
CVS
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
ecc-bugs-int
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-04 08:18 EST by Jesper Skov
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 01:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2001-01-04 08:18:56 EST
I think that for the most of the platforms, the Target Setup contains
almost similar 'Preparing the binaries' subsections.

I'd like to see those made generic, much like the existing instructions
on connecting to the targets in various ways.

There should be subsections describing how to build both stubs and
RedBoot, with instructions for both GUI and CLI. The only things that
would differ is the target name, and for the RedBoot build, where to
find the file that should be imported.

It should be possible to add a little more detail than in the present
descriptions, for instance that the size of the image can be reduced
by removing some unnecessary packages... Come to think of it, we should
probably make .ecm files for stubs as well and thus get a much simpler
and consistent method for building stubs/redboot and docs to match.

But it'd take some time to orchestrate, hence this bug.
Comment 1 George Thomas 2001-09-10 01:41:29 EDT
Given that we're not really supporting stubs anymore (are we?), and
that the RedBoot documentation has vastly improved in this area since
this bug was opened, what should the current status (of the bug) be?
Comment 2 Jesper Skov 2002-02-05 02:13:40 EST
Agree, RedBoot docs are way better now.
Not sure about stubs support though - but that's hardly relevant to this Bug.

Note You need to log in before you can comment on or make changes to this bug.